MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029532Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-03-01 15:452018-06-29 21:19
Reportergka 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029532: BOPCol containers used in the OCCT 720 do not support in the current development version.
DescriptionTo provide compatibility with previous OCCT versions it is necessary to save aliases for BOPCol containers or to make script for automatic renaming.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
child of 0025609closedbugmaster Community Clean up the duplicate classes in TKBO project. 

-  Notes
(0074208)
msv (developer)
2018-03-02 11:17

Nikolay, please take care of this.
Use adm/update.dat to register renaming of classes. Do not forget about iterators.
Check the work with some real project (ask GKA).
(0074355)
git (administrator)
2018-03-07 15:39

Branch CR29532 has been created by nbv.

SHA-1: 8bfdaa46b43dd9d918ced623f89b89f8614946f1


Detailed log of new commits:

Author: nbv
Date: Fri Mar 2 12:03:09 2018 +0300

    0029532: BOPCol containers used in the OCCT 720 do not support in the current development version.
    
    The file upgrade.dat has been updated.
(0074382)
git (administrator)
2018-03-12 12:21

Branch CR29532 has been updated forcibly by nbv.

SHA-1: 50349c2dd98468e22b2f85dcde63f5692aedd6bc
(0074386)
git (administrator)
2018-03-12 13:49

Branch CR29532 has been updated forcibly by nbv.

SHA-1: 5b0a877ce6c957bdefdea789ad932678757e7eb3
(0074422)
git (administrator)
2018-03-13 11:56

Branch CR29532 has been updated forcibly by nbv.

SHA-1: 929be4698bf6924e5f8bba43bb2e69811974d706
(0074423)
nbv (developer)
2018-03-13 11:59

Dear Galina,

Please check of work of CR29532 branch on real customer's project.

All instructions have been sent you via e-mail.
(0075407)
git (administrator)
2018-04-12 11:52

Branch CR29532 has been updated by gka.

SHA-1: efd6a3b3674df5655da08eb9d1329294248c0b2b


Detailed log of new commits:

Author: gka
Date: Thu Apr 12 11:52:20 2018 +0300

    0029532: BOPCol containers used in the OCCT 720 do not support in the current development version.
    
    Added renaming Adaptor3d_OffsetCurve on the Adaptor2d_OffsetCurve

(0075408)
gka (developer)
2018-04-12 11:54

Script was test on the customer code.
Added renaming Adaptor3d_OffsetCurve on the Adaptor2d_OffsetCurve
(0076251)
git (administrator)
2018-05-24 18:13

Branch CR29532 has been deleted by kgv.

SHA-1: efd6a3b3674df5655da08eb9d1329294248c0b2b

- Related Changesets
occt: master a3d3777d
Timestamp: 2018-03-02 09:03:09
Author: nbv
Committer: bugmaster
Details ] Diff ]
0029532: BOPCol containers used in the OCCT 720 do not support in the current development version.

The file upgrade.dat has been updated.
mod - adm/upgrade.dat Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-03-01 15:45 gka New Issue
2018-03-01 15:45 gka Assigned To => msv
2018-03-01 15:56 abv Relationship added child of 0025609
2018-03-02 11:17 msv Note Added: 0074208
2018-03-02 11:17 msv Assigned To msv => nbv
2018-03-02 11:17 msv Status new => assigned
2018-03-07 15:39 git Note Added: 0074355
2018-03-12 12:21 git Note Added: 0074382
2018-03-12 13:49 git Note Added: 0074386
2018-03-13 11:56 git Note Added: 0074422
2018-03-13 11:59 nbv Note Added: 0074423
2018-03-13 11:59 nbv Assigned To nbv => gka
2018-03-13 11:59 nbv Status assigned => feedback
2018-04-12 11:52 git Note Added: 0075407
2018-04-12 11:54 gka Note Added: 0075408
2018-04-12 11:54 gka Assigned To gka => bugmaster
2018-04-12 11:54 gka Status feedback => reviewed
2018-04-12 13:06 bugmaster Status reviewed => tested
2018-04-16 14:46 bugmaster Changeset attached => occt master a3d3777d
2018-04-16 14:46 bugmaster Status tested => verified
2018-04-16 14:46 bugmaster Resolution open => fixed
2018-04-21 09:21 bugmaster Test case number => Not needed
2018-05-24 18:13 git Note Added: 0076251
2018-06-29 21:13 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker